Class UmlBaseFormalParameter

This class manages 'formal parameters' of a template class. For instance 'T' in
template class Cl<class T> ...

Declaration :

- C++ : class UmlBaseFormalParameter
- Java : abstract class UmlBaseFormalParameter

Directly inherited by : UmlFormalParameter

Artifact : UmlBaseFormalParameter

Operation UmlBaseFormalParameter

Declaration :

- Uml : + UmlBaseFormalParameter() :
- C++ : public: UmlBaseFormalParameter()
- Java : public UmlBaseFormalParameter()

Operation name

returns the name of the formal

Declaration :

- Uml : + name() : string
- C++ : public: const QCString & name() const
- Java : public String name()

Operation type

returns the type of a formal, probably "class"

Declaration :

- Uml : + type() : string
- C++ : public: const QCString & type() const
- Java : public String type()

Operation defaultValue

returns the default actual value

Declaration :

- Uml : + defaultValue() : UmlTypeSpec
- C++ : public: const UmlTypeSpec & defaultValue() const
- Java : public UmlTypeSpec defaultValue()

Operation extend

return the optional extend (Java)

Declaration :

- Uml : + extend() : UmlTypeSpec
- C++ : public: const UmlTypeSpec & extend()
- Java : public UmlTypeSpec extend()

Attribut _name

Declaration :

- Uml : # _name : string
- C++ : protected: QCString _name
- Java : protected String _name

Attribut _type

"class" ...

Declaration :

- Uml : # _type : string
- C++ : protected: QCString _type
- Java : protected String _type

Relation _default_value (<directional composition>)

Declaration :

- Uml : # _default_value : UmlTypeSpec
- C++ : protected: UmlTypeSpec _default_value
- Java : protected UmlTypeSpec _default_value

Relation _extends (<directional composition>)

Declaration :

- Uml : # _extends : UmlTypeSpec
- C++ : protected: UmlTypeSpec _extends
- Java : protected UmlTypeSpec _extends

Operation read_

internal, do NOT use it

Declaration :

- Uml : # read_() : void
- C++ : protected: void read_()
- Java : protected void read_()

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseClass;

All public operations : defaultValue , extend , name , type